
Orchestrator - Bug #49522

cephadm: ValueError: not enough values to unpack (expected 2, got 1)

02/26/2021 10:07 PM - Sage Weil

Status: Resolved % Done: 0%

Priority: Immediate   

Assignee: Sebastian Wagner   

Category: cephadm (binary)   

Target version: v15.2.10   

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID: 39715

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

2021-02-26T20:20:09.116+0000 7fdbcb76b700  0 [cephadm DEBUG root] err: Pulling container image qua

y.ceph.io/ceph-ci/ceph:d5d0b807b6370ff5be0fe6da3344ff33013528bc...

Traceback (most recent call last):

  File "<stdin>", line 6152, in <module>

  File "<stdin>", line 1393, in _infer_image

  File "<stdin>", line 2691, in command_pull

  File "<stdin>", line 1393, in _infer_image

  File "<stdin>", line 2731, in command_inspect_image

  File "<stdin>", line 2742, in get_image_info_from_inspect

ValueError: not enough values to unpack (expected 2, got 1)

podman version 2.2.1   

this is breaking most of the upgrade tests, since we can't pull the target image from the old cephadm version

Related issues:

Related to Orchestrator - Bug #48924: cephadm: upgrade process failed to pull... Resolved

History

#1 - 02/27/2021 01:30 AM - Michael Fritch

- Category set to cephadm (binary)

- Assignee set to Sebastian Wagner

- Target version set to v15.2.9

- Pull request ID set to 39715

#2 - 03/02/2021 07:25 PM - Sage Weil

workaround by not testing on centos/rhel for now: https://github.com/ceph/ceph/pull/39791

#3 - 03/03/2021 03:06 PM - Sebastian Wagner

- Related to Bug #48924: cephadm: upgrade process failed to pull target image: not enough values to unpack (expected 2, got 1) (podman 2.2.1

breakage) added

#4 - 03/04/2021 04:09 PM - Yuri Weinstein

https://github.com/ceph/ceph/pull/39715 merged
#5 - 03/10/2021 02:18 PM - Sebastian Wagner

- Status changed from New to Resolved

#6 - 03/18/2021 02:32 PM - Nathan Cutler

- Target version changed from v15.2.9 to v15.2.10
